Bug 595679 - RHN client tools: rhn_register shows busy cursor after clicking back
Summary: RHN client tools: rhn_register shows busy cursor after clicking back
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools   
(Show other bugs)
Version: 5.5
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Michael Mráka
QA Contact: Martin Minar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 595688 649208 649233 670458
TreeView+ depends on / blocked
 
Reported: 2010-05-25 11:26 UTC by Michael Mráka
Modified: 2016-07-04 00:55 UTC (History)
3 users (show)

Fixed In Version: rhn-client-tools-0.4.20-40.el5
Doc Type: Bug Fix
Doc Text:
Under certain circumstances, clicking the "back" button in a GUI version of the rhn_register utility may have caused the cursor to remain busy. This error has been fixed, and the cursor is now properly restored.
Story Points: ---
Clone Of:
: 595688 649208 (view as bug list)
Environment:
Last Closed: 2011-01-14 00:10:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0112 normal SHIPPED_LIVE yum-rhn-plugin and rhn-client-tools bug fix and enhancement update 2011-01-12 17:29:05 UTC

Description Michael Mráka 2010-05-25 11:26:32 UTC
Description of problem:
After failed RHN login rhn_register (GUI) still shows busy cursor even if error message has been acknowledged by pressing 'Ok' and even if 'Back' has been clicked.

Version-Release number of selected component (if applicable):
# rpm -q rhn-client-tools rhn-setup rhn-setup-gnome
rhn-client-tools-0.4.20-33.el5_5.1.noarch
rhn-setup-0.4.20-33.el5_5.1.noarch
rhn-setup-gnome-0.4.20-33.el5_5.1.noarch


How reproducible:
always

Steps to Reproduce:
1. run rhn_register
2. click through to 'Choose an update location' page
3. check 'Red Hat Network'
4. fill wrong username/password and click Forward
5. ack the error message window witk 'Ok'
6. press 'Back'
  
Actual results:
in 5. cursor stays BUSY
in 6. cursor stays BUSY

Expected results:
normal (LEFT ARROW?) cursor

Additional info:
pressing Back and Forward resets cursor to normal

Comment 1 Michael Mráka 2010-08-30 11:38:27 UTC
Upstream fixed in bug 595688.

Backported as
r195620 | mmraka | 2010-08-30 13:33:22 +0200 (Mon, 30 Aug 2010) | 5 lines

595688 - cancel busy cursor after ValidationError

Comment 3 Martin Minar 2010-11-03 08:12:04 UTC
In rhn-client-tools-0.4.20-40 bug is corrected if you select Red Hat Network as described in comment 0, but if you select different satellite, this bug is still present.

Therefor I will verify this bug and create clone for general satellite selected.

Comment 4 Martin Minar 2010-11-03 08:15:51 UTC
Cloned as bug 649208.

Comment 5 Jaromir Hradilek 2010-11-30 12:33:03 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Under certain circumstances, clicking the "back" button in a GUI version of the rhn_register utility may have caused the cursor to remain busy. This error has been fixed, and the cursor is now properly restored.

Comment 7 errata-xmlrpc 2011-01-14 00:10:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0112.html


Note You need to log in before you can comment on or make changes to this bug.